修改升级
PUT /accounts/{account_id}/core/v1/upgrades/{upgrade_id}
将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。
副作用
-
升级会根据所需状态安排或运行。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
upgrade_id |
string |
path |
True |
要列出的升级集合的 ID |
请求正文
将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。
副作用
-
升级会根据所需状态安排或运行。
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
False |
资源的全局唯一标识符。定义的值为:
|
componentName |
string |
False |
包含可以升级的软件类型名称的 JSON 字符串。定义的值是:
|
componentInstance |
string |
False |
包含可升级的组件 URI 的 JSON 字符串。定义的值为:
|
组件 ID |
string |
False |
包含可升级的组件的全局唯一标识符的 JSON 字符串。定义的值为:
|
upgradeVersion |
string |
False |
包含可升级到的软件映像文件的 SemVer 的 JSON 字符串。定义的值为:
|
currentVersion |
string |
False |
包含要升级的实体当前 SemVer 的 JSON 字符串。定义的值为:
|
依赖项 |
数组[string] |
False |
JSON 字符串的 JSON 数组,每个字符串都包含在此升级继续之前必须完成的升级的 UUID。用于确定哪些升级将作为先决条件执行以及执行顺序。定义的值为:
|
状态 |
string |
False |
包含指示升级操作状态的值的 JSON 字符串。如果启用自动升级,升级将以"scheduled"状态启动。否则,升级将从"proposed"状态开始。定义的值为:
|
stateDesired |
string |
False |
包含指示"state"所需状态的值的 JSON 字符串。仅当用户可以直接请求更改资源的状态时,才会包含此字段。定义的值是:
|
stateDetails |
False |
JSON 对象的 JSON 数组,列出有关当前"状态"的其他详细信息。如果没有可用的详细信息,此数组将为空。
|
|
元数据 |
False |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
请求示例
{
"type": "application/astra-upgrade",
"version": "1.1",
"stateDesired": "running"
}
响应
Status: 204, Indicates if the upgrade resource was updated.
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 409, Conflict
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
additionalDetails
type_astra_stateDetail
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
additionalDetails |
False |
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将不加修改地保留。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |
invalidFields
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效请求正文字段的名称 |
原因 |
string |
True |
请求正文字段无效的原因 |